//---------------------------------------------------------------------------
#ifndef TStructures_EditorH
#define TStructures_EditorH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\DBTables.hpp>
#include <vcl\DB.hpp>
#include <vcl\DBCtrls.hpp>
#include <vcl\Mask.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TStructures_Editor : public TForm
{
__published:	// IDE-managed Components
    TTable *Structures_Table;
    TDatabase *DirectX_To_BCB;
    TDataSource *Structures_DataSource;
    TBitBtn *BitBtn1;
    TBitBtn *BitBtn2;
    TOpenDialog *ImportFileDialog;
    TLabel *Label1;
    TQuery *TempQuery;
    TTable *StructureMembers_Table;
    TGroupBox *GroupBox1;
    TDBEdit *DirectX_StructureName_Edit;
    TDBMemo *DirectX_ObjectDescription_Memo;
    TLabel *Label3;
    TLabel *Label2;
    TLabel *Label4;
    TComboBox *DirectX_ComboBox;
    TGroupBox *GroupBox2;
    TLabel *Label5;
    TLabel *Label6;
    TLabel *Label7;
    TDBEdit *BCB_ObjectName_Edit;
    TDBMemo *BCB_ObjectDescription_Memo;
    TComboBox *BCB_ComboBox;
    TGroupBox *GroupBox3;
    TLabel *Label8;
    TGroupBox *GroupBox4;
    TLabel *Label9;
    TComboBox *DirectX_StructureMember_ComboBox;
    TComboBox *BCB_ObjectProperty_ComboBox;
    TDBEdit *DirectX_MemberName_Edit;
    TLabel *Label10;
    TLabel *Label11;
    TDBMemo *DirectX_MemberDescription_Memo;
    TGroupBox *DirectX_MemberFlags_GroupBox;
    TLabel *Label12;
    TComboBox *DirectX_MemberFlags_ComboBox;
    TDBMemo *DirectX_MemberFlagsDescript_Memo;
    TLabel *Label13;
    TLabel *Label14;
    TDBEdit *BCB_PropertyName_Edit;
    TLabel *Label15;
    TDBMemo *BCB_PropertyDescription_Memo;
    TGroupBox *BCB_ObjectFlags_GroupBox;
    TLabel *Label16;
    TLabel *Label17;
    TComboBox *BCB_PropertyFlags_ComboBox;
    TDBMemo *BCB_PropertyFlagsDescript_Memo;
    TTable *StructureMemberFlags_Table;
    TDataSource *StructureMembers_DataSource;
    TDataSource *StructureMemberFlags_DataSource;
    TLabel *WaitLabel;
    TBitBtn *BitBtn3;
    TBitBtn *Prev_Button;
    TBitBtn *Next_Button;
    TBitBtn *BitBtn4;
    TBitBtn *BitBtn5;
    TBitBtn *BitBtn6;
    TBitBtn *BitBtn7;
    TBitBtn *BitBtn8;
    TBitBtn *BitBtn9;
    TBitBtn *BitBtn10;
    TBitBtn *BitBtn11;
    TBitBtn *BitBtn12;
    TBitBtn *BitBtn13;
    TDBRadioGroup *DBRadioGroup1;
    void __fastcall BitBtn1Click(TObject *Sender);
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall FormDeactivate(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall DirectX_ComboBoxChange(TObject *Sender);
    void __fastcall DirectX_StructureMember_ComboBoxChange(TObject *Sender);
    void __fastcall DirectX_MemberFlags_ComboBoxChange(TObject *Sender);
    void __fastcall BitBtn3Click(TObject *Sender);
    void __fastcall BitBtn6Click(TObject *Sender);
    void __fastcall BitBtn7Click(TObject *Sender);
    void __fastcall BitBtn4Click(TObject *Sender);
    void __fastcall BitBtn5Click(TObject *Sender);
    void __fastcall Prev_ButtonClick(TObject *Sender);
    void __fastcall Next_ButtonClick(TObject *Sender);
    void __fastcall BCB_ComboBoxChange(TObject *Sender);
    void __fastcall BCB_ObjectProperty_ComboBoxChange(TObject *Sender);
    void __fastcall BCB_PropertyFlags_ComboBoxChange(TObject *Sender);
    void __fastcall BCB_ObjectName_EditExit(TObject *Sender);
    
    void __fastcall BCB_PropertyName_EditExit(TObject *Sender);
    
    void __fastcall BCB_PropertyFlagsDescript_MemoExit(TObject *Sender);
    
    
    
    void __fastcall DBRadioGroup1Exit(TObject *Sender);
    
    
private:	// User declarations
    int     fInterface_Index;
    int     fStructure_Index;
    int     fMember_Index;
    void __fastcall BuildSelections();
    void __fastcall BuildStructureSelections();
    void __fastcall BuildMemberSelections();
    void __fastcall BuildFlagSelections();
    void __fastcall ImportFile( AnsiString pFileName );
public:		// User declarations
    __fastcall TStructures_Editor(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TStructures_Editor *Structures_Editor;
//---------------------------------------------------------------------------
#endif
